@echo off
TITLE cofface 一键刷入Recovery工具
:MENU
CLS
echo         一键刷入Recovery工具
ECHO. =================================================
echo.
echo     --请输入1、2、3选择你需要的操作:
ECHO.
ECHO.       **-1.刷入中文版Recovery-**
ECHO.
ECHO.       **-2.手机重启到Recovery-**
ECHO.
ECHO. =================================================
ECHO.

:CHO
set choice=
set /p choice= 选择你要进行的操作:
IF NOT "%choice%"=="" SET choice=%choice:~0,1%
if /i "%choice%"=="1" goto CWM_RECOVERY
if /i "%choice%"=="2" goto ENTER_RECOVERY
echo 选择无效，请重新输入
echo.
goto MENU

:ENTER_RECOVERY
CLS
ECHO. =================================================
echo.
echo   等待你将手机正确连接到电脑：
echo.
echo     --请检查：
echo       1.手机是否是开机状态
echo       2.是否开启了USB调试
echo       3.是否正确安装驱动
echo.
ECHO. =================================================
.\Tools\adb.exe wait-for-device >NUL 2>NUL
CLS
ECHO. =================================================
echo.
echo    重启你的手机进入recovery模式！！
echo.
echo     --10秒后会自动关闭此窗口
echo.
ECHO. =================================================
.\Tools\adb.exe reboot recovery
ping 127.0.0.1 -n 10 >NUL
goto EXIT




:CWM_RECOVERY
CLS
ECHO. =================================================
echo.
echo   等待你将手机正确连接到电脑：
echo.
echo     --请检查：
echo       1.手机是否是开机状态
echo       2.是否开启了USB调试
echo       3.是否正确安装驱动
echo.
ECHO. =================================================
.\Tools\adb.exe wait-for-device >NUL 2>NUL
CLS
ECHO. =================================================
echo.
echo.    自动刷入Recovery中......
echo.
ECHO. ================================================
.\Tools\adb.exe reboot bootloader >NUL 2>NUL
ping 127.0.0.1 -n 5 >NUL
.\Tools\fastboot.exe flash recovery .\Tools\cofface_smartisant1_recovery_cn.img >NUL 2>NUL
.\Tools\fastboot.exe boot .\Tools\cofface_smartisant1_recovery_cn.img >NUL 2>NUL
CLS
ECHO. =================================================
echo.
echo    恭喜你成功刷入了Recovery！！
echo.
echo.
echo     --10秒后会自动关闭此窗口
echo.
ECHO. =================================================
echo.
echo.
ping 127.0.0.1 -n 10 >NUL
goto EXIT
:EXIT
exit